Bug 183053 - undefined symbol: sepol_node_modify
Summary: undefined symbol: sepol_node_modify
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted   
(Show other bugs)
Version: 5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-02-25 19:39 UTC by Ben
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-05 14:55:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ben 2006-02-25 19:39:20 UTC
Description of problem:

Upgrading to the most recent version from a base FC5t3 install says:

Updating  : selinux-policy-targeted      ##################### [116/139] 
semodule: symbol lookup error: /lib64/libsemanage.so.1: undefined symbol:
sepol_node_modify


Version-Release number of selected component (if applicable):

2.2.21-7

How reproducible:

I only tried once.

Steps to Reproduce:
1. Install base FC5t3 install from CDs
2. Login as root and run yum upgrade
3. Observe error message.
  
Actual results:


Expected results:


Additional info:

Comment 1 Daniel Walsh 2006-02-25 20:42:24 UTC
You seem to be missing an update of libsepol?

Comment 2 Ben 2006-02-25 20:47:17 UTC
libsepol 1.11.18-2 (both i386 and x86_64) came down from the same yum update
command. It was, however, updated *after* selinux-policy-targeted.

Comment 3 Daniel Walsh 2006-04-03 16:06:30 UTC
THe rpm versions have been fixed to grab the correct libraries.


Note You need to log in before you can comment on or make changes to this bug.